gnutls_handshake_set_hook_function(3)

NAME
gnutls_handshake_set_hook_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_hook_function(gnutls_session_t session, unsigned int htype, int post, gnutls_handshake_hook_func func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure

unsigned int htype
    the gnutls_handshake_description_t of the message to hook at

int post
    GNUTLS_HOOK_* depending on when the hook function should be called

gnutls_handshake_hook_func func
    is the function to be called

DESCRIPTION
This function will set a callback to be called after or before the specified handshake message has been received or generated. This is a generalization of gnutls_handshake_set_post_client_hello_function(). To call the hook function prior to the message being sent/generated use GNUTLS_HOOK_PRE as post parameter, GNUTLS_HOOK_POST to call after, and GNUTLS_HOOK_BOTH for both cases. This callback must return 0 on success or a gnutls error code to terminate the handshake. Note to hook at all handshake messages use an htype of GNUTLS_HANDSHAKE_ANY.

WARNING
You should not use this function to terminate the handshake based on client input unless you know what you are doing. Before the handshake is finished there is no way to know if there is a man-in-the-middle attack being performed.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/